"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/no-use-before-define */
const react_native_1 = require("react-native");
const { Netify } = react_native_1.NativeModules;
const isIos = react_native_1.Platform.OS === 'ios';
const defaultConfig = {
    timeout: 60,
};
function init(params) {
    Netify.init(Object.assign(Object.assign({}, defaultConfig), params));
}
async function jsonRequest(params) {
    try {
        let { url } = params;
        url = url.replace(/([^:])(\/\/+)/g, '$1/');
        const response = await Netify.jsonRequest(Object.assign(Object.assign({}, params), { url }));
        return response;
    }
    catch (error) {
        if (isIos) {
            handleIosError(error);
        }
        handleAndroidError(error);
    }
}
function handleAndroidError(error) {
    console.log('Error', JSON.stringify(error));
    const { code, userInfo } = error;
    if (userInfo) {
        const { response } = userInfo;
        error.response = response;
        throw error;
    }
    throw error;
}
function handleIosError(error) {
    if (error.userInfo) {
        const { response } = error.userInfo;
        const err = new Error(error.message);
        // @ts-ignore
        err.response = response;
        throw err;
    }
}
exports.default = {
    init,
    jsonRequest,
};
//# sourceMappingURL=index.js.map